HELP_OPEN(1)

NAME
help_open - use help_viewer to open a file

SYNOPSIS
help_open [ -a ] [ filename [ page_number ] ]

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION

help_open is used to cause a running help_viewer(1) to open a file. filename is typically the name of a help_viewer file. A call is made to help_viewer using the same RPC mechanism as is used by Spot Help.

If filename is relative, help_viewer looks for it relative to the default help directory (as defined in the user's .defaults database). Otherwise, help_viewer treats filename as an absolute pathname.

If the RPC call to help_viewer fails, help_open attempts to spawn help_viewer, with filename as a command line argument. If the -a command line option was given, then filename is first converted to an absolute pathname, as described in OPTIONS, below.

OPTIONS

-a  Convert filename to an absolute pathname. This option causes help_open to get the current working directory and append it to the front of filename (thus creating an absolute pathname) before passing filename on to help_viewer. This allows help_open to be used with other processes, such as Sun Organizer (see organizer(1)), which deal in relative pathnames. The -a option has no effect if filename begins with the character '/'.

EXAMPLES

In the first example, help_viewer opens the file help/Help_Basics. This file is located relative to the default help directory (as defined in the user's .defaults database). If the default help directory is set to /vol/help/language/USA-English, this is /vol/help/language/USA-English/help/Help_Basics.

    example% help_open help/Help_Basics
    example%

The second example is the same as the first, but it opens Help_Basics to page 3.

    example% help_open “help/Help_Basics 3”
    example%

In the next example, help_viewer opens somefile using the absolute pathname, /home/mtravis/somefile.

    example% help_open /home/mtravis/somefile
    example%

In the last example, help_viewer opens /home/ahinkle/anotherfile.

    example% cd /home/ahinkle
    example% help_open -a anotherfile
    example%

FILES
/usr/lib/help/*

SEE ALSO
help_viewer(1), organizer(1), help(5), help_viewer(5)

Sun386i User's Guide
Sun386i Developer's Guide